#include <iostream>
#include "funkcja.h"

using namespace std;

#ifndef _WIELOMIAN_H
#define _WIELOMIAN_H

class Wielomian : public Funkcja
{
   protected:
      int st;
      double *wsp;
      Wielomian(int st);
   public:
      Wielomian();
      Wielomian(double *w,int st);
      Wielomian(const Wielomian&);
      Wielomian Pochodna(int st=1);
      ~Wielomian();
      void Wyswietl();
	  Wielomian& Wczytaj();

	  friend Wielomian operator+(const Wielomian &,const Wielomian &);
	  friend Wielomian operator-(const Wielomian &,const Wielomian &);
	  Wielomian &operator+=(const Wielomian &);
	  friend Wielomian operator*(const Wielomian &,const Wielomian &);
      friend ostream &operator<<(ostream &o,const Wielomian &w);
	  friend istream &operator>>(istream &i,Wielomian &w);
	  friend bool operator==(const Wielomian &w1,const Wielomian &w2);
	  Wielomian &operator*=(const Wielomian &w);
	  Wielomian operator*(double x);
      Wielomian operator*();
      Wielomian &operator*=(double x);
      Wielomian &operator=(const Wielomian &);
      double operator()(double x);
	  friend Wielomian operator-(const Wielomian &w);
	  Wielomian(double x);

};

#endif
